/*******************************************************************************
 * FoxWeapon_Hammer2Base generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeapon_Hammer2Base extends FoxWeapon_SingleActionMeleeBase
    config(Knife)
    hidecategories(Navigation);

var const class<FoxProjectile_CloudBase> ProjClass;

simulated function ProcessInstantHit(byte FiringMode, ImpactInfo Impact, optional int NumHits)
{
    local FoxProjectile_CloudBase SpawnedProj;
    local StickToDetails StickToInfo;

    super.ProcessInstantHit(FiringMode, Impact, NumHits);
    // End:0x21E
    if((Role == ROLE_Authority) && Impact.HitActor != none)
    {
        SpawnedProj = Spawn(ProjClass, self,, Impact.HitLocation,,, true);
        // End:0x21E
        if(SpawnedProj != none)
        {
            StickToInfo.bStickToPawn = Pawn(Impact.HitActor) != none;
            StickToInfo.StickToActor = Impact.HitActor;
            StickToInfo.StickToRotation = rotator(-Impact.HitNormal);
            StickToInfo.StickToRotation.Pitch += 16384;
            StickToInfo.StickToLocation = Impact.HitLocation;
            SpawnedProj.HandleStickTo(StickToInfo);
            SpawnedProj.StartGrenadeTimer();
        }
    }
    //return;    
}

defaultproperties
{
    begin object name=GearFXParticleSystemComponent0 class=FoxFirstPersonParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: FoxFirstPersonParticleSystemComponent'Default__FoxWeapon_Hammer2Base.GearFXParticleSystemComponent0'
    GearFXComponent=GearFXParticleSystemComponent0
    FireFeedbackWaveform=ForceFeedbackWaveform'Default__FoxWeapon_Hammer2Base.ForceFeedbackWaveformFire'
    TightAimCameraShake=CameraShake'Default__FoxWeapon_Hammer2Base.Shake0'
    NormalCameraShake=CameraShake'Default__FoxWeapon_Hammer2Base.Shake1'
    MuzzleFlashLight=PointLightComponent'Default__FoxWeapon_Hammer2Base.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.52482680
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeapon_Hammer2Base.LensComp'
    MuzzleLensFlare=LensComp
    begin object name=WeaponMesh class=FoxFirstPersonSkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: FoxFirstPersonSkeletalMeshComponent'Default__FoxWeapon_Hammer2Base.WeaponMesh'
    Mesh=WeaponMesh
}